%define shortname	torrent-rasterbar
%define major		6
%define libname		%mklibname %{shortname} %{major}
%define develname	%mklibname %{shortname} -d

Summary:	The Rasterbar BitTorrent library
Name:		libtorrent-rasterbar
Version:	0.16.4
Release:	1
License:	BSD
Group:		System/Libraries
URL:		http://www.rasterbar.com/products/libtorrent/
Source0:	http://libtorrent.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:	boost-devel
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	python-devel
BuildRequires:	libgeoip-devel

%description
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%package -n %{libname}
Group:		System/Libraries
Summary:	The Rasterbar BitTorrent library
Obsoletes:	%{mklibname %{shortname} 1}

%description -n %{libname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%package -n python-%{name}
Group:		System/Libraries
Summary:	The Rasterbar BitTorrent library's Python bindings
%{py_requires}
Requires:	%{libname} = %{version}-%{release}

%description -n python-%{name}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains Python bindings.

%package -n %{develname}
Group:		Development/C
Summary:	The Rasterbar BitTorrent library's development headers
Provides:	%{name}-devel = %{version}-%{release}
Provides:	rb_libtorrent-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains development libraries and headers.

%prep
%setup -q

%build
# (tpg) a workaround for libtool crap
#sed -i 's/AC_CONFIG_MACRO_DIR(\[m4\])/dnl AC_CONFIG_MACRO_DIR(\[m4\])/' configure.in
#autoreconf -fi
export CFLAGS="%{optflags} -DBOOST_FILESYSTEM_VERSION=2"
export CXXFLAGS="%{optflags}  -DBOOST_FILESYSTEM_VERSION=2"
%configure2_5x --disable-static \
	--enable-python-binding \
	--with-zlib=system \
	--with-libgeoip=system \
	--enable-encryption \
	--enable-dht \
	--disable-static \
	--with-boost-libdir=%{_libdir} \
	--with-boost-system=boost_system-mt \
	--with-boost-filesystem=boost_filesystem-mt \
	--with-boost-thread=boost_thread-mt \
	--with-boost-python=boost_python-mt

%make

%install
%makeinstall_std

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/libtorrent
%{_libdir}/pkgconfig/%{name}.pc

%files -n python-%{name}
%{py_platsitedir}/*.so
%{py_platsitedir}/*.egg-info


%changelog
* Sat Oct 06 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 0.16.4-1
+ Revision: 818637
- update to new version 0.16.4

* Sun Aug 26 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.16.3-1
+ Revision: 815764
- version update 0.16.3

* Mon Jul 16 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.16.2-1
+ Revision: 809817
- version update 0.16.2

* Sat Apr 07 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.10-1
+ Revision: 789672
- update to new version 0.15.10
- drop old stuff from spec file

* Sat Jan 07 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.9-1
+ Revision: 758621
- update to new version 0.15.9

* Mon Oct 10 2011 Александр Казанцев <kazancas@mandriva.org> 0.15.8-1
+ Revision: 703962
- Update to version 0.15.8

* Sat Apr 16 2011 Funda Wang <fwang@mandriva.org> 0.15.6-1
+ Revision: 653362
- new version 0.15.6

* Tue Mar 15 2011 Funda Wang <fwang@mandriva.org> 0.15.5-2
+ Revision: 644958
- more flags
- force filesystem v2
- rebuild for new boost

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - update to 0.15.5

* Sat Oct 30 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.15.4-2mdv2011.0
+ Revision: 590402
- rebuild for python-2.7

* Tue Oct 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.15.4-1mdv2011.0
+ Revision: 583123
- update to 0.15.4

* Tue Sep 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.15.3-2mdv2011.0
+ Revision: 581597
- now that glibc has been updated to 2.12.1 we can drop patch0. c.f.:
  http://code.google.com/p/libtorrent/issues/detail?id=57
  http://sourceware.org/bugzilla/show_bug.cgi?id=5553

* Thu Sep 16 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.15.3-1mdv2011.0
+ Revision: 578985
- update to 0.15.3

* Wed Aug 25 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.15.2-1mdv2011.0
+ Revision: 573279
- update to 0.15.2
- fix build with boost-1.44

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 0.15.1-4mdv2011.0
+ Revision: 565996
- rebuild for new boost

* Tue Jul 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.15.1-3mdv2011.0
+ Revision: 562063
- since underlinking patch was dropped no need to run autoreconf
- no need to remove include/libtorrent/asio*, it's not shipped in the tarball now
- fix configuration options, some of them have changed upstream

* Mon Jul 26 2010 Matthew Dawkins <mattydaw@mandriva.org> 0.15.1-2mdv2011.0
+ Revision: 560885
- added patch0 from arch to address the ASSERT hit in glibc
- new version 0.15.1
  dropped unlinking patch, no longer needed for compiling
  disabled static build

* Wed Apr 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.14.10-3mdv2010.1
+ Revision: 532463
- rebuild for openssl-1.0.0

* Mon Apr 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.14.10-2mdv2010.1
+ Revision: 531501
- resumbit because of BS oddity
- new upstream release 0.14.10

* Tue Feb 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.14.9-1mdv2010.1
+ Revision: 509906
- new upstream release 0.14.9

  + Funda Wang <fwang@mandriva.org>
    - rebuild

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0.14.8-5mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.14.8-4mdv2010.1
+ Revision: 500332
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.14.8-3mdv2010.1
+ Revision: 500084
- rebuild for new boost

* Wed Jan 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.14.8-2mdv2010.1
+ Revision: 496899
- build with system geoip now that it's been moved to contrib

* Sun Jan 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.14.8-1mdv2010.1
+ Revision: 495409
- disable system geoip for now (till package moving is done)
- update to 0.4.18
- manually remove shipped asio headers to be sure system ones are used
  (originally from Fedora, verified by Anssi for boost < 1.35.0, so
   rm'ing them just to be sure)
- use system geoip as it seems to build correctly
- use the supplied autotools.sh again as one patch modifies Makefile.am

* Thu Dec 03 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.7-1mdv2010.1
+ Revision: 472747
- disable system-wide goip support for now
- update to new version 0.14.7
- correct url for Source0
- build against system libgeoip

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0.14.6-1mdv2010.0
+ Revision: 447965
- update to new version 0.14.6

* Mon Sep 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.5-1mdv2010.0
+ Revision: 440748
- update to new version 0.14.5
- bump major
- python bindings requires main library

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 0.14.4-2mdv2010.0
+ Revision: 418845
- add python linkage fix
- rebuild for new libboost

* Mon Jun 08 2009 Oden Eriksson <oeriksson@mandriva.com> 0.14.4-1mdv2010.0
+ Revision: 383880
- new major (4)
- 0.14.4

* Sun May 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.3-2mdv2010.0
+ Revision: 374004
- obsolete old library

* Sat May 09 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.3-1mdv2010.0
+ Revision: 373889
- update to new version 0.14.3
- fix against libtool borkiness
- bump major to 3

* Thu Mar 12 2009 Emmanuel Andry <eandry@mandriva.org> 0.14.1-4mdv2009.1
+ Revision: 354292
- use force install with autoreconf
- rebuild for new boost

* Wed Dec 24 2008 Michael Scherer <misc@mandriva.org> 0.14.1-3mdv2009.1
+ Revision: 318430
- rebuild for new python
- fix expression so mdvsys update can be used

  + Funda Wang <fwang@mandriva.org>
    - drop strange obsoletes

* Sun Dec 21 2008 Funda Wang <fwang@mandriva.org> 0.14.1-2mdv2009.1
+ Revision: 316882
- asio is not needed, as boost contains boost:asio which is needed acturally
- rebuild for new boost

* Mon Dec 15 2008 Adam Williamson <awilliamson@mandriva.org> 0.14.1-1mdv2009.1
+ Revision: 314424
- have to specify boost libs manually as they don't get found properly on x86-64
- import libtorrent-rasterbar


